# elm-particle

Simple particle system for web apps.
Designed for visual flourishes like confetti.

```
elm install BrianHicks/elm-particle
```

## Getting Started

The general overview of elm-particle:

1. Create a Random generator for the types of particles you want.
2. Combine those to make effects, like confetti bursting or a stream of water.
3. Give those to a system which manages random seeds and animation frame subscriptions for you!

You can see fully worked examples online:

- 🎉 [Confetti](https://brianhicks.github.io/elm-particle/Confetti.html)
- 🚰 [Water](https://brianhicks.github.io/elm-particle/Water.html)
- 🎇 [Fireworks](https://brianhicks.github.io/elm-particle/Firework.html)

The source for these examples all live in the `examples` directory on GitHub.

If you'd like to see how this is done step-by-step, I gave a [20-minute presentation at Olso Elm Day 2019](https://www.youtube.com/watch?v=goL7LeDHFi4).
There's also [an Elm town episode on the background behind elm-particle](https://elmtown.simplecast.fm/confetti-and-waterfalls).

## License

`elm-particle` is licensed under the BSD 3-Clause license, located at `LICENSE`.
